### Makefile ###

ifdef AZProlog
	My_AZ=$(AZProlog)/share/azprolog/system/pl
else
	My_AZ=/usr/local/share/azprolog/system/pl
endif

AZ_SYS_PL=$(My_AZ)/mlt_child.pl $(My_AZ)/mlt_parent.pl $(My_AZ)/utility.pl

AZPC=azpc
AZOPT=/ccopt "-Wall -O4" /static

default:
	$(AZPC) -p /a 10 /l 10 /g 500 /h 10 pentomino.pl $(AZ_SYS_PL) $(AZOPT) /e pentomino
	rm -f *.c *.o mkaz
	$(AZPC) -p pentomino.pl /byte


clean:
	rm -f pentomino pentomino.b 
	rm -f *~ .*~
